Skip to navigation

Update TestOrder

Update an existing Test Order.

Available updates

  • containerId: Set a container, omit the field to leave it unchanged, or provide null to remove the association.
  • status: Transitions must follow the Test Order lifecycle: PENDING → IN_PROGRESS, CANCELLED, or BLOCKED; IN_PROGRESS → COMPLETED or INVALID; and BLOCKED → PENDING or CANCELLED.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

test_order_idstringRequired
ID of the TestOrder.

Request

This endpoint expects an object.
containerIdstring or nullOptional

Omit to leave unchanged, or provide null to remove the container association.

statusenumOptional
Status changes must follow the permitted Test Order lifecycle transitions.

Response

OK
__typenamestringOptional
analysisCommentstring or nullOptional
Additional comments provided for a test order with a status of blocked, invalid, or canceled.
containerobject or nullOptional
The container associated with the sample being tested in this test order
createdAtstringOptionalformat: "datetime"
Timestamp of when the test order was created.
dilutionFactorinteger or nullOptional
The dilution factor of the test order.
idstringOptional
The ID of the test order.
modifiedAtstringOptionalformat: "datetime"
Timestamp of when the test order was last modified.
namestringOptional
The name of the test order.
plateWellAssociationslist of objectsOptional
The plate wells this test order has been linked to.
procedureobject or nullOptional

The Assay (Procedure) for which this Test Order is created. Since a Test Definition can be used in multiple Assays, this association ensures clarity on which template should be followed for the specific Test Order. It is necessary to establish this association prior to the Assay Run to avoid ambiguity.

procedureMethodExecutionInstanceobject or nullOptional
The execution instance of the procedure method, linking the Test Order to the specific Assay Run to enable easy retrieval of all related Test Orders.
resultobject or nullOptional
The result of the test order.
retestSourceProcedureMethodExecutionInstanceobject or nullOptional
The execution instance of the procedure method this retest order was created in the context of, linking the Test Order to the specific Assay Run to enable easy retrieval of all related Retest Orders.
sampleobjectOptional
The sample being tested in this test order
statusenumOptional
The status of the test order.
testDefinitionobjectOptional
The test definition associated with this test order.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error